Mailinglist Archive: opensuse-security-announce (50 mails)

< Previous Next >
[security-announce] SUSE-SU-2016:0269-1: critical: Security update for java-1_7_0-openjdk
SUSE Security Update: Security update for java-1_7_0-openjdk
______________________________________________________________________________

Announcement ID: SUSE-SU-2016:0269-1
Rating: critical
References: #960996 #962743
Cross-References: CVE-2015-4871 CVE-2015-7575 CVE-2015-8126
CVE-2015-8472 CVE-2016-0402 CVE-2016-0448
CVE-2016-0466 CVE-2016-0483 CVE-2016-0494

Affected Products:
SUSE Linux Enterprise Desktop 11-SP4
SUSE Linux Enterprise Desktop 11-SP3
SUSE Linux Enterprise Debuginfo 11-SP4
SUSE Linux Enterprise Debuginfo 11-SP3
______________________________________________________________________________

An update that fixes 9 vulnerabilities is now available.

Description:

java-1_7_0-openjdk was updated to version 7u95 to fix 9 security issues.
(bsc#962743)

- CVE-2015-4871: Rebinding of the receiver of a DirectMethodHandle may
allow a protected method to be accessed
- CVE-2015-7575: Further reduce use of MD5 (SLOTH) (bsc#960996)
- CVE-2015-8126: Vulnerability in the AWT component related to
splashscreen displays
- CVE-2015-8472: Vulnerability in the AWT component, addressed by same fix
- CVE-2016-0402: Vulnerability in the Networking component related to URL
processing
- CVE-2016-0448: Vulnerability in the JMX comonent related to attribute
processing
- CVE-2016-0466: Vulnerability in the JAXP component, related to limits
- CVE-2016-0483: Vulnerability in the AWT component related to image
decoding
- CVE-2016-0494: Vulnerability in 2D component related to font actions


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Desktop 11-SP4:

zypper in -t patch sledsp4-java-1_7_0-openjdk-12374=1

- SUSE Linux Enterprise Desktop 11-SP3:

zypper in -t patch sledsp3-java-1_7_0-openjdk-12374=1

- SUSE Linux Enterprise Debuginfo 11-SP4:

zypper in -t patch dbgsp4-java-1_7_0-openjdk-12374=1

- SUSE Linux Enterprise Debuginfo 11-SP3:

zypper in -t patch dbgsp3-java-1_7_0-openjdk-12374=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Desktop 11-SP4 (i586 x86_64):

java-1_7_0-openjdk-1.7.0.95-0.17.2
java-1_7_0-openjdk-demo-1.7.0.95-0.17.2
java-1_7_0-openjdk-devel-1.7.0.95-0.17.2

- SUSE Linux Enterprise Desktop 11-SP3 (i586 x86_64):

java-1_7_0-openjdk-1.7.0.95-0.17.2
java-1_7_0-openjdk-demo-1.7.0.95-0.17.2
java-1_7_0-openjdk-devel-1.7.0.95-0.17.2

- SUSE Linux Enterprise Debuginfo 11-SP4 (i586 x86_64):

java-1_7_0-openjdk-debuginfo-1.7.0.95-0.17.2
java-1_7_0-openjdk-debugsource-1.7.0.95-0.17.2

- SUSE Linux Enterprise Debuginfo 11-SP3 (i586 x86_64):

java-1_7_0-openjdk-debuginfo-1.7.0.95-0.17.2
java-1_7_0-openjdk-debugsource-1.7.0.95-0.17.2


References:

https://www.suse.com/security/cve/CVE-2015-4871.html
https://www.suse.com/security/cve/CVE-2015-7575.html
https://www.suse.com/security/cve/CVE-2015-8126.html
https://www.suse.com/security/cve/CVE-2015-8472.html
https://www.suse.com/security/cve/CVE-2016-0402.html
https://www.suse.com/security/cve/CVE-2016-0448.html
https://www.suse.com/security/cve/CVE-2016-0466.html
https://www.suse.com/security/cve/CVE-2016-0483.html
https://www.suse.com/security/cve/CVE-2016-0494.html
https://bugzilla.suse.com/960996
https://bugzilla.suse.com/962743

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages